NisusWrtTextInternal::Footnote Struct Reference

Internal structure: use to store a footnote. More...

## Public Member Functions

| Footnote ()
| Constructor.
std::string | getTextLabel (int actId) const
| returns a label corresponding to a note ( or nothing if we can use numbering note)

## Public Attributes

int | m_number
| the note number
int | m_paragraph [2]
| the paragraph position in the footnote zone (first and last)
NisusWrtStruct::Position | m_textPosition
| the text position
std::string | m_textLabel
| the label in the text
std::string | m_noteLabel
| the label in the note
bool | m_parsed
| a flag to know if the footnote is parsed
std::string | m_extra
| some extra debuging information

## Friends

std::ostream & | operator<< (std::ostream &o, Footnote const &ft)
| operator<<

## Detailed Description

Internal structure: use to store a footnote.

## Constructor & Destructor Documentation

## Footnote()

NisusWrtTextInternal::Footnote::Footnote | ( |  | ) |

inline

Constructor.

Referenced by operator<<.

## Member Function Documentation

## getTextLabel()

std::string NisusWrtTextInternal::Footnote::getTextLabel | ( | int | actId | ) | const

inline

returns a label corresponding to a note ( or nothing if we can use numbering note)

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Footnote const & | ft )

friend

operator<<

## Member Data Documentation

## m_extra

std::string NisusWrtTextInternal::Footnote::m_extra

some extra debuging information

Referenced by Footnote(), operator<<, and NisusWrtText::readFootnotes().

## m_noteLabel

std::string NisusWrtTextInternal::Footnote::m_noteLabel

the label in the note

Referenced by Footnote(), operator<<, and NisusWrtText::readFootnotes().

## m_number

int NisusWrtTextInternal::Footnote::m_number

the note number

Referenced by Footnote(), operator<<, and NisusWrtText::readFootnotes().

## m_paragraph

int NisusWrtTextInternal::Footnote::m_paragraph[2]

the paragraph position in the footnote zone (first and last)

Referenced by Footnote(), operator<<, and NisusWrtText::readFootnotes().

## m_parsed

bool NisusWrtTextInternal::Footnote::m_parsed

mutable

a flag to know if the footnote is parsed

Referenced by Footnote().

## m_textLabel

std::string NisusWrtTextInternal::Footnote::m_textLabel

the label in the text

Referenced by Footnote(), getTextLabel(), operator<<, and NisusWrtText::readFootnotes().

## m_textPosition

NisusWrtStruct::Position NisusWrtTextInternal::Footnote::m_textPosition

the text position

Referenced by Footnote(), operator<<, and NisusWrtText::readFootnotes().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx